# $Revision: 1.49 $, $Date: 2012/06/07 10:44:56 $
#
# Conditional build:
%bcond_with systemd # rely on systemd for session tracking instead of ConsoleKit
#
Summary:	GNOME PackageKit Client
Summary(pl.UTF-8):	Klient PackageKit dla GNOME
Name:		gnome-packagekit
Version:	3.4.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-packagekit/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	17530fef9e92c15e2f0624fbe7511ce0
URL:		http://www.packagekit.org/
BuildRequires:	PackageKit-devel >= 0.6.8
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1.11
BuildRequires:	dbus-devel >= 1.2.0
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	fontconfig-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libcanberra-devel >= 0.10
BuildRequires:	libcanberra-gtk3-devel >= 0.10
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
%{?with_systemd:BuildRequires:  systemd-devel}
BuildRequires:	udev-glib-devel
BuildRequires:	upower-devel >= 0.9.0
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	glib2 >= 1:2.26.0
Requires:	PackageKit >= 0.6.8
Requires:	polkit-gnome >= 0.92
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages.

%description -l pl.UTF-8
Ten pakiet dostarcza aplikacje sesji dla API PackageKit. Zawiera kilka
narzędzi stworzonych do instalacji, aktualizacji i usuwania pakietów.

%package -n python-gnome-packagekit
Summary:	Widgets to use PackageKit in GTK+ applications
Summary(pl.UTF-8):	Widgety do użycia PackageKit w aplikacjach GTK+
Group:		Libraries/Python
Requires:	gnome-packagekit = %{version}-%{release}
Requires:	python-packagekit
Requires:	python-pygtk-gtk

%description -n python-gnome-packagekit
This module provides widgets to use PackageKit in GTK+ applications.

%description -n python-gnome-packagekit -l pl.UTF-8
Ten moduł dostarcza widgety do użycia PackageKit w aplikacjach GTK+.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-scrollkeeper \
	%{__enable_disable systemd systemd} \
	--disable-schemas-compile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README
%attr(755,root,root) %{_bindir}/gpk-application
%attr(755,root,root) %{_bindir}/gpk-dbus-service
%attr(755,root,root) %{_bindir}/gpk-distro-upgrade
%attr(755,root,root) %{_bindir}/gpk-install-catalog
%attr(755,root,root) %{_bindir}/gpk-install-local-file
%attr(755,root,root) %{_bindir}/gpk-install-mime-type
%attr(755,root,root) %{_bindir}/gpk-install-package-name
%attr(755,root,root) %{_bindir}/gpk-install-provide-file
%attr(755,root,root) %{_bindir}/gpk-log
%attr(755,root,root) %{_bindir}/gpk-prefs
%attr(755,root,root) %{_bindir}/gpk-service-pack
%attr(755,root,root) %{_bindir}/gpk-update-viewer
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%{_datadir}/gnome-packagekit
%{_iconsdir}/hicolor/*/*/*
%{_desktopdir}/gpk-application.desktop
%{_desktopdir}/gpk-dbus-service.desktop
%{_desktopdir}/gpk-distro-upgrade.desktop
%{_desktopdir}/gpk-install-catalog.desktop
%{_desktopdir}/gpk-install-local-file.desktop
%{_desktopdir}/gpk-log.desktop
%{_desktopdir}/gpk-prefs.desktop
%{_desktopdir}/gpk-service-pack.desktop
%{_desktopdir}/gpk-update-viewer.desktop
%{_mandir}/man1/gpk-application.1*
%{_mandir}/man1/gpk-backend-status.1*
%{_mandir}/man1/gpk-install-local-file.1*
%{_mandir}/man1/gpk-install-mime-type.1*
%{_mandir}/man1/gpk-install-package-name.1*
%{_mandir}/man1/gpk-install-provide-file.1*
%{_mandir}/man1/gpk-prefs.1*
%{_mandir}/man1/gpk-repo.1*
%{_mandir}/man1/gpk-update-icon.1*
%{_mandir}/man1/gpk-update-viewer.1*

%files -n python-gnome-packagekit
%defattr(644,root,root,755)
%{py_sitescriptdir}/packagekit/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-packagekit.spec,v $
Revision 1.49  2012/06/07 10:44:56  kiesiu
- updated to 3.4.2

Revision 1.48  2012/03/27 20:03:16  kiesiu
- updated to 3.4.0
- added systemd bcond (off by default)

Revision 1.47  2011/10/23 09:27:12  wiget
- up to 3.2.1

Revision 1.46  2011/09/30 16:57:49  wiget
- up to 3.2.0, merge from DEVEL

Revision 1.45.2.2  2011/09/20 16:21:36  wiget
- up to 3.1.92

Revision 1.45.2.1  2011/09/05 19:37:31  wiget
- up to 3.1.90

Revision 1.45  2011/06/02 21:24:42  kiesiu
- updated to 3.0.3

Revision 1.44  2011/05/28 11:35:15  kiesiu
- updated to 3.0.2

Revision 1.43  2011/04/08 09:28:41  lisu
- cosmetics

Revision 1.42  2011/04/08 09:28:08  lisu
- up to 3.0.0 (merged with DEVEL)

Revision 1.41  2011/03/27 18:37:15  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.40.2.1  2011/03/23 22:24:21  wiget
- up to 2.91.92

Revision 1.40  2011/02/04 18:23:51  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.39  2011/01/28 02:04:47  sparky
- BR: intltool

Revision 1.38  2010/10/04 13:49:50  lisu
- rel 2, rebuild with fixed docbook-utils

Revision 1.37  2010/10/04 12:42:45  lisu
- updated to 2.32.0
- no need to run intltool
- use sed macro, BR: sed >= 4.0

Revision 1.36  2010/09/21 18:59:49  glen
- release 2

Revision 1.35  2010/09/12 16:14:10  patrys
- 2.30.3

Revision 1.34  2010/08/15 19:08:36  lisu
- rel 3

Revision 1.33  2010/05/19 22:24:36  sparky
- BR: rpm-pythonprov

Revision 1.32  2010/04/21 17:01:34  arekm
- release 2

Revision 1.31  2010/02/25 16:45:11  patrys
- 2.29.3

Revision 1.30  2010/02/06 21:04:00  arekm
- release 2

Revision 1.29  2010/01/21 14:51:33  sparky
- BR: docbook-dtd41-sgml, libcanberra-gtk-devel
- BR: gtk+2-devel >= 2:2.20.0 for gtk_cell_renderer_spinner_new

Revision 1.28  2010/01/21 10:54:50  patrys
- drop en@shaw

Revision 1.27  2010/01/21 10:52:14  patrys
- 2.29.2
- we want unstable here for PK 0.6.0 (so KDE guys can use it too)

Revision 1.26  2009/12/12 11:21:57  megabajt
- updated to 2.28.2
- removed obsolete -bugfixes.patch

Revision 1.25  2009/11/06 18:07:40  megabajt
- added -bugfixes.patch (fixes crashes while installing/removing package)
- R: polkit-gnome

Revision 1.24  2009/11/05 20:47:29  megabajt
- updated to 2.28.1

Revision 1.23  2009/07/09 19:24:41  patrys
- 2.27.3

Revision 1.22  2009/06/09 09:06:18  patrys
- bumped PK requirement to 0.4.8

Revision 1.21  2009/06/09 09:05:19  patrys
- 2.27.2
- viewer crash patch applied upstream

Revision 1.20  2009/05/07 13:17:25  megabajt
- added -update-viewer-crash.patch

Revision 1.19  2009/05/07 10:02:11  amateja
- updated to 2.27.1

Revision 1.18  2009/04/04 23:26:02  patrys
- unique -> libunique

Revision 1.17  2009/03/09 18:36:05  megabajt
- updated to 0.4.5

Revision 1.16  2009/02/24 20:44:36  megabajt
- merged from DEVEL

Revision 1.14.2.4  2009/02/23 17:47:07  megabajt
- updated to 0.4.4

Revision 1.14.2.3  2009/02/02 23:17:59  megabajt
- updated to 0.4.3
- added python-gnome-packagekit subpackage

Revision 1.14.2.2  2009/01/30 13:27:11  patrys
- 0.4.2
- TODO: package python

Revision 1.15  2009/01/18 11:31:06  arekm
- release 2

Revision 1.14.2.1  2008/12/29 11:21:17  megabajt
- updated to 0.4.0

Revision 1.14  2008/12/14 00:49:28  qwiat
- up to 0.3.12

Revision 1.13  2008/09/30 23:00:21  qwiat
- up to 0.3.4

Revision 1.12  2008/09/07 15:51:24  megabajt
- updated to 0.3.1

Revision 1.11  2008/09/06 22:00:31  megabajt
- release 3

Revision 1.10  2008/09/01 20:04:27  arekm
- release 2

Revision 1.9  2008/07/30 10:36:17  megabajt
- updated to 0.2.4

Revision 1.8  2008/07/05 12:01:29  megabajt
- updated to 0.2.3

Revision 1.7  2008/06/05 19:39:55  megabajt
- updated to 0.2.2

Revision 1.6  2008-05-10 15:10:35  patrys
- 0.2.1
- patch0 applied upstream

Revision 1.5  2008-05-07 13:25:39  megabajt
- updated to 0.2.0
- added -link.patch to fix build

Revision 1.4  2008-04-05 21:12:48  patrys
- 0.1.11

Revision 1.3  2008-03-28 19:13:32  megabajt
- updated to 0.1.10

Revision 1.2  2008-03-09 17:17:16  patrys
- 0.1.9

Revision 1.1  2008-02-29 13:52:30  megabajt
- new
